package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitPlanTask;
import com.ruoyi.system.domain.visit.VisitPlanTaskExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitPlanTaskMapper {
    long countByExample(VisitPlanTaskExample example);

    int deleteByExample(VisitPlanTaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitPlanTask record);

    int insertSelective(VisitPlanTask record);

    List<VisitPlanTask> selectByExampleWithBLOBs(VisitPlanTaskExample example);

    List<VisitPlanTask> selectByExample(VisitPlanTaskExample example);

    VisitPlanTask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitPlanTask record, @Param("example") VisitPlanTaskExample example);

    int updateByExampleWithBLOBs(@Param("record") VisitPlanTask record, @Param("example") VisitPlanTaskExample example);

    int updateByExample(@Param("record") VisitPlanTask record, @Param("example") VisitPlanTaskExample example);

    int updateByPrimaryKeySelective(VisitPlanTask record);

    int updateByPrimaryKeyWithBLOBs(VisitPlanTask record);

    int updateByPrimaryKey(VisitPlanTask record);
}
